Bug 662159 - [abrt] policycoreutils-gui-2.0.83-33.2.fc14: polgen.py:405:set_init_script:ValueError: Only Daemon apps can use an init script..
Summary: [abrt] policycoreutils-gui-2.0.83-33.2.fc14: polgen.py:405:set_init_script:Va...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3d599258
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-10 18:56 UTC by Roman
Modified: 2011-03-19 10:26 UTC (History)
2 users (show)

Fixed In Version: policycoreutils-2.0.85-19.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-19 10:26:30 UTC


Attachments (Terms of Use)
File: backtrace (776 bytes, text/plain)
2010-12-10 18:56 UTC, Roman
no flags Details

Description Roman 2010-12-10 18:56:25 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python -Es /usr/bin/selinux-polgengui
component: policycoreutils
executable: /usr/bin/selinux-polgengui
kernel: 2.6.35.9-64.fc14.x86_64
package: policycoreutils-gui-2.0.83-33.2.fc14
reason: polgen.py:405:set_init_script:ValueError: Only Daemon apps can use an init script..
release: Fedora release 14 (Laughlin)
time: 1292007265
uid: 500

backtrace
-----
polgen.py:405:set_init_script:ValueError: Only Daemon apps can use an init script..

Traceback (most recent call last):
  File "/usr/bin/selinux-polgengui", line 265, in forward
    if self.on_name_page_next():
  File "/usr/bin/selinux-polgengui", line 624, in on_name_page_next
    policy.gen_writeable()
  File "/usr/share/system-config-selinux/polgen.py", line 1112, in gen_writeable
    self.set_init_script("/etc/rc\.d/init\.d/%s"  % self.name)
  File "/usr/share/system-config-selinux/polgen.py", line 405, in set_init_script
    raise ValueError(_("Only Daemon apps can use an init script.."))
ValueError: Only Daemon apps can use an init script..

Local variables in innermost frame:
initscript: '/etc/rc\\.d/init\\.d/wine'
self: <polgen.policy instance at 0x344c560>

How to reproduce
-----
1. Запустил средство создания политики selinux
2. заполнил поля, имя wine, компонент wine,  нажал кнопку вперед
3. получил сообщение об ошибке

Comment 1 Roman 2010-12-10 18:56:27 UTC
Created attachment 468035 [details]
File: backtrace

Comment 2 Daniel Walsh 2011-03-09 21:41:48 UTC
Fixed in policycoreutils-2.0.85-19.fc14

Comment 3 Fedora Update System 2011-03-09 21:56:05 UTC
policycoreutils-2.0.85-19.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/policycoreutils-2.0.85-19.fc14

Comment 4 Fedora Update System 2011-03-19 10:26:06 UTC
policycoreutils-2.0.85-19.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.